<?php
/*
Plugin Name: WP Autopeel
Plugin URI: http://wp-autopeel.com
Description: GRAB Your Visitors Attention Back And Boost Your Income (And Subscriber List) Just By Placing A Simple Autopeel Ad On Your Blog. <strong>For advanced features, visit the <a target="_blank" href="http://wp-autopeel.com/pro"><strong>Pro Version</a> page.</strong>
Version:1.1.0
Author: Paul Mihai Pavel
Author URI: http://paulmihaipavel.com
*/


if ( !is_admin() ) { // instruction to only load if it is not the admin area
   // register your script location, dependencies and version
   wp_register_script('autopeel', '/wp-content/plugins/wpautopeel/code.js',
       array('jquery'),'3.0.1');

// enqueue the script
   wp_enqueue_script('autopeel', '/wp-content/plugins/wpautopeel/code.js',
       array('jquery'));
 }

add_action('wp_head', 'autopeelAddHeaderCode'); // limited availability (check per theme)
add_filter( "the_content", "autopeelcontent"); 



function autopeel_pages() {
	    add_options_page('WP Autopeel Settings', 'WP Autopeel Settings', 5, 'autopeelsettings', 'autopeelsettings');
	}

function autopeelAddHeaderCode() {
                $here = dirname(__FILE__); //C:\webroot\abc\wordpress\wp-content\plugins\expand
                $urlpath =  get_bloginfo('wpurl') . '/wp-content/plugins/wpautopeel';
                
                $click_url = get_option('autopeel_url');
                if($click_url === false) $click_url = "";
                $click_url = str_replace("'","",$click_url);

                echo
                 "
                 <script>
                      var autopeelLink = '$click_url';
                      var autopeelUrlRoot = '$urlpath';
                 </script>
                 <style>
				 
					#autopeel-bg {background: top right no-repeat url($urlpath/large.jpg); position: absolute; right:0px; top: 0px;width: 0px; height: 0px; z-index:1000;}
					#autopeel-tiny {background: top right no-repeat url($urlpath/small.jpg); position: absolute; right: 0px; top:0px;width: 0px; height: 0px; z-index:1001;}
					#autopeel-peel {position: absolute; right:0px; top: 0px;width: 0px; height: 0px; z-index: 1002;}
					#autopeel-peel-cover {position: absolute; right:0px; top: 0px;width: 0px; height: 0px; z-index: 1010; cursor: pointer; background: white;}
					#autopeel-peel img {width: 100%; height: 100%;border: none;}
					#autopeel-peel-image-ie {width:100%; height:100%; background:transparent url('$urlpath/peel.png') no-repeat;
						 /* IE hack */
						 background:none\9; /* Targets IE only */
						 filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='$urlpath/peel.png', sizingMethod='scale');}
				 
                      </style>
                 ";
        }


function autopeelsettings()
{
$here = dirname(__FILE__);
$urlpath =  get_bloginfo('wpurl') . '/wp-content/plugins/wpautopeel';

$p = $_POST;
if(isset($p['autopeel_url']))  update_option('autopeel_url',$p['autopeel_url']);

	
$click_url = get_option('autopeel_url');
if($click_url === false) $click_url = "http://www.paulmihaipavel.com/";
$_click_url = htmlentities($click_url);


//files
if($_FILES['autopeel_small']['size'] > 0)
  {
  $fn = $_FILES['autopeel_small']['tmp_name'];
  move_uploaded_file($fn, "$here/small.jpg");
  }
  
if($_FILES['autopeel_large']['size'] > 0)
  {
  $fn = $_FILES['autopeel_large']['tmp_name'];
  move_uploaded_file($fn, "$here/large.jpg");
  }
  

echo "<h1>WP Autopeel Settings</h1>";
echo "<form enctype='multipart/form-data' method='post' action='$url'>";
echo "<input type='hidden' name='MAX_FILE_SIZE' value='1000000' />";
echo "Click URL <input type='text' name='autopeel_url' value='$_click_url'>";
echo "<p>Small .jpg (85x85): <input name='autopeel_small' type='file' /></p>";
echo "<p>Large .jpg (750x750): <input name='autopeel_large' type='file' /></p>";

echo "<p><input type='submit' name='update' value='update'></p>";
echo "</form>";
echo "<hr";
echo "<h2>Small 85x85</h2>";
echo "<img src='$urlpath/small.jpg'>";
echo "<h2>Large 750x750</h2>";
echo "<img src='$urlpath/large.jpg'>";
}

//<form enctype="multipart/form-data" action="uploader.php" method="POST">
//<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
//Choose a file to upload: <input name="uploadedfile" type="file" /><br />
//<input type="submit" value="Upload File" />


function autopeelcontent($c)
{
	return $c;
}


add_action('admin_menu', 'autopeel_pages');
?>
